5

I've installed Octave 4.2.0 on Ubuntu 16.04:

wget ftp://ftp.gnu.org/gnu/octave/octave-4.2.0.tar.gz
tar xf octave-4.2.0.tar.gz
rm octave-4.2.0.tar.gz
cd octave-4.2.0/
./configure
make -j8
sudo make install

However there is a graphical bug in my Octave terminal:

screenshot of issue

The rows in terminal are stupidly small to see the present code.

How can I get rid of this bug?

  • Do you really need 4.2.0? 4.0 is available from the 16.04 repository – steeldriver May 24 '17 at 14:03
  • Yes I need it due to geometry package that requires "Dependencies: Octave (>= 4.0.1)". I'm not sure it is compatible with Octave 4.0 – user46581 May 24 '17 at 14:08
  • I built it myself in a 16.04 VM and could not reproduce the issue - sometimes this kind of thing is specific to particular graphics hardware / drivers – steeldriver May 25 '17 at 16:32
  • I downgraded to Octave 4.0.1 and the rows are normal. – user46581 May 27 '17 at 10:00
6

I fixed it by changing the font from Courier to another type. In my case, I changed it to Andale Mono. I have Octave version 4.2.2, and my Ubuntu is 16.04 LTS.

enter image description here

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.